Subject: Re: bug#12854: 24.2.50; `display-buffer-alist': conditions are not handled as documented

From: Michael Heerdegen <[email-masked]>
Date: Sun, 18 Nov 2012 02:00:54 +0100

martin rudalics <[email-masked]> writes:

> > (1) If CONDITION is a function, it currently must be a symbol.  I don't
> > see why lambda expressions should be forbidden.  The user should not
> > need to use defun only to be able specify an argument.
>
> I lifted this restriction in revision 110885 on the Emacs-24 release
> branch.

Ok, thanks.  My stuff works now as it's supposed to.

> > (2) If CONDITION is a function, it takes _two_ arguments: a buffer
> > _name_ (not a buffer) _and_ an alist.  That should be clarified in the
> > docstring.
>
> As a matter of fact, the code called that function with the variable
> `display-buffer-alist' as second argument which doesn't make any sense.
> I now pass it the ACTION argument of `display-buffer' instead and tried
> to document this in the same revision as above.

Looks ok to me, the code as well as the doc.

Thanks,

Michael.